Loading...
Searching...
No Matches
openvdb_houdini::node_info_text Namespace Reference

Namespace to hold functionality for registering info text callbacks. Whenever getNodeSpecificInfoText() is called, the default info text is added to MMB output unless a valid callback has been registered for the grid type. More...

## Typedefs

using | ApplyGridSpecificInfoText = void (*)(std::ostream&, const openvdb::GridBase&)

## Functions

void | registerGridSpecificInfoText (const std::string &gridType, ApplyGridSpecificInfoText callback)
| Register an info text callback to a specific grid type.
template<typename GridType>
void | registerGridSpecificInfoText (ApplyGridSpecificInfoText callback)
| Register an info text callback to a templated grid type.

## Detailed Description

Namespace to hold functionality for registering info text callbacks. Whenever getNodeSpecificInfoText() is called, the default info text is added to MMB output unless a valid callback has been registered for the grid type.

Use node_info_text::registerGridSpecificInfoText<> to register a grid type to a function pointer which matches the ApplyGridSpecificInfoText signature.

void floatGridText(std::ostream&, const openvdb::GridBase&);

node_info_text::registerGridSpecificInfoText<openvdb::FloatGrid>(&floatGridText);

## Typedef Documentation

## ApplyGridSpecificInfoText

using ApplyGridSpecificInfoText = void (*)(std::ostream&, const openvdb::GridBase&)

## Function Documentation

## registerGridSpecificInfoText() [1/2]

template<typename GridType>

void registerGridSpecificInfoText | ( | ApplyGridSpecificInfoText | callback | ) |

inline

Register an info text callback to a templated grid type.

Note
  Does not add the callback if the grid type already has a registered callback.

Parameters

  callback | a pointer to the callback function to execute

## registerGridSpecificInfoText() [2/2]

void registerGridSpecificInfoText | ( | const std::string & | gridType,
|  | ApplyGridSpecificInfoText | callback )

Register an info text callback to a specific grid type.

Note
  Does not add the callback if the grid type already has a registered callback.

Parameters

  gridType | the grid type as a unique string (see templated registerGridSpecificInfoText<>)
  callback | a pointer to the callback function to execute